import { FormSchema } from '@/components/Form';
import { BasicColumn } from '@/components/Table';

export const callFormSchema: FormSchema[] = [
  {
    field: 'key',
    component: 'Input',
    componentProps: {
      placeholder: '输入关键字搜索',
    },
    colProps: { lg: 4, md: 4 },
  },
];
export const callTableColumn: BasicColumn[] = [
  {
    title: 'API名称',
    dataIndex: 'name',
    width: 150,
    slots: { customRender: 'name' },
  },
  {
    title: '路径',
    dataIndex: 'path',
    width: 150,
  },
  {
    title: '调用次数',
    dataIndex: 'num',
    width: 150,
  },
  {
    title: '调用成功次数',
    dataIndex: 'successNum',
    width: 150,
  },
  {
    title: '调用失败次数',
    dataIndex: 'fillNum',
    width: 150,
  },
  {
    title: '调用状态',
    dataIndex: 'status',
    width: 150,
    slots: { customRender: 'status' },
  },
  {
    title: '调用开始时间',
    dataIndex: 'startTime',
    width: 150,
  },
  {
    title: '调用结束时间',
    dataIndex: 'endTime',
    width: 150,
  },
];
